#ifndef LISTA_H
#define LISTA_H

#include <iostream>
#include <fstream>


struct adat
{
    static const int nevhossz = 20;
    static const int nagyonhossz = 200000000;

    int azon;
    char nev[nevhossz];
    double atlag;
    char semmi[nagyonhossz];
};
struct elem
{
    elem *kov;
    elem *elo;
    adat a;
};

class lista
{
public:
    lista()
    {
        elso=utolso=0;
    }
    ~lista()
    {
        lerombol();
    }
    void hozzafuz(adat a);
    void kilistaz() const;
    void lemezreir(std::ofstream& of) const;
    void lemezrololvas(std::ifstream& in);
private:
    elem *elso;
    elem *utolso;
    lista(const lista&);
    void operator=(const lista&);
    void lerombol();
};

#endif
