
#include "komplex.h"

komplex::komplex(double v, double k)
{
    valos = v;
    kepzetes = k;
}

komplex::~komplex()
{
}

std::ostream& operator<<(std::ostream& o, const komplex& k)
{
    o << k.valos << " + " << k.kepzetes << " * i" << std::endl;
}


komplex komplex::operator+(const komplex& masik) const
{
    return komplex(valos + masik.valos, kepzetes + masik.kepzetes);
}



komplex::komplex(const komplex& k)
{
    valos = k.valos;
    kepzetes = k.kepzetes;
}

komplex komplex::operator=(const komplex& k)
{
    valos = k.valos;
    kepzetes = k.kepzetes;
}





