
#include <iostream>
#include <fstream>

using namespace std;

const int puffer_hossza = 16;

void kiir(istream& innen, ostream& ide);
void hexakiir(int hossz, char* puffer, ostream& ide);

int main(int argc, char** argv)
{
	// ./a.out 1        2       3 4
        // argv[0] argv[1] argv[2] ...

	int retval = 0;

	if (2 > argc)	kiir(cin, cout);
	else
	{
		for (int i = 1; i < argc; ++i)
		{
			ifstream f(argv[i]);

			if (!f)		++retval;
			else		kiir(f, cout);
		}
	}

	return retval;
}


void kiir(istream& innen, ostream& ide)
{
	char puffer[puffer_hossza];

	innen >> noskipws;

	while (!innen.eof())
	{
		int hossz = 0;

		while(!innen.eof() && hossz < puffer_hossza)
		{
			innen >> puffer[hossz];
			++hossz;
		}

		if (0 != hossz)    hexakiir(hossz, puffer, ide);
	}

}

void hexakiir(int hossz, char* puffer, ostream& ide)
{
	ide << puffer;
}

